[tool.poetry]
name = "django-easy-quiz"
version = "6.4.1"
description = "Create weighted answers or interpretation quizzes with ease!"
authors = ["Kapt dev team <dev@kapt.mobi>"]
license = "GNU GPLv3"
readme = "README.md"
repository = "https://gitlab.com/kapt/open-source/django-easy-quiz"

[tool.poetry.dependencies]
django-ckeditor = "*"
django-ckeditor-filebrowser-filer = "0.5.*"
python = ">=3.8"
Django = ">2.2"
weasyprint = "v52.*"
django-import-export = "3.*"

[tool.poetry.dev-dependencies]
gitchangelog = "^3.0.4"
bumpversion = "^0.6.0"
black = "~21.9b0"
flake8 = "~3.9.2"
isort = "~5.9.3"
djhtml = "~1.4.10"

[build-system]
requires = ["poetry-core>=1.0.0", "setuptools"]
build-backend = "poetry.core.masonry.api"

[tool.isort]
profile = "black"
known_local_folder = ["src"]
sections="FUTURE,STDLIB,DJANGO,THIRDPARTY,LOCALFOLDER,FIRSTPARTY"
import_heading_stdlib = "Standard Library"
import_heading_firstparty= "Project"
import_heading_thirdparty= "Third party"
import_heading_localfolder= "Local application / specific library imports"
known_django= "django"
import_heading_django= "Django"

[tool.black]
include = '\.pyi?$'
exclude = '''
(
    \.eggs         # exclude a few common directories in the
  | \.git          # root of the project
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | buck-out
  | build
  | dist
  | node_modules
)
'''
